Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7007 - nxterm does nothing with -/+ut
Summary: nxterm does nothing with -/+ut
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-15 07:23 UTC by gsromero
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-06 18:22:43 UTC


Attachments (Terms of Use)

Description gsromero 1999-11-15 07:23:37 UTC
The -/+ut parameter pair should change the behaviour of nxterm towards utmp
(update / no update or viceversa, no man page, -h help is not very clear).
Nxterm always ignores it and never writes to the log, making the console
invisible.

GSR

Comment 1 Preston Brown 1999-11-23 16:13:59 UTC
nxterm +ut

(now in new window)

[pbrown@dionysus kdebase]$ tty
/dev/pts/6
[pbrown@dionysus kdebase]$ w
 11:18am  up 53 days, 23:33,  4 users,  load average: 1.15, 0.91, 1.02
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU  WHAT
pbrown   tty1     -                Thu 2pm  4days  0.15s  0.04s  bash
pbrown   pts/0    -                Mon 2pm 20:23m  0.00s  0.00s  /bin/cat
pbrown   pts/6    -                11:18am  0.00s  0.10s  0.05s  w

(close that window)

nxterm -ut

(in new window)

[pbrown@dionysus kdebase]$ tty
/dev/pts/6
[pbrown@dionysus kdebase]$ w
 11:19am  up 53 days, 23:34,  3 users,  load average: 1.60, 1.08, 1.07
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU  WHAT
pbrown   tty1     -                Thu 2pm  4days  0.15s  0.04s  bash
pbrown   pts/0    -                Mon 2pm 20:24m  0.00s  0.00s  /bin/cat

It looks like it is working on a stock system here.

This is with a stock XFree86 from Red Hat Linux 6.1.

Comment 2 Riley H Williams 1999-11-24 17:48:59 UTC
Looks like you validated the bug as genuine as the w command clearly doesn't
show any user running the w command !!!

Comment 3 Preston Brown 1999-12-06 18:22:59 UTC
That's right.  Because if you disable utmp writing, your shell/window/etc. will
not show up in 'who' or 'w' output.  This is correct behaviour.


Note You need to log in before you can comment on or make changes to this bug.